package raytracing;

import optics.light.Color;
import shading.Material;

public class BasicMaterial implements Material {

    private Color diffuse;
    private double glossieness;
    private Color reflectionTint;

    private boolean refracts;

    public BasicMaterial(Color diffuse, double glossieness, Color reflectionTint, boolean refracts) {
        this.diffuse = diffuse;
        this.glossieness = glossieness;
        this.reflectionTint = reflectionTint;
        this.refracts = refracts;
    }

    public Color getDiffuse() {
        return diffuse;
    }

    public double getGlossieness() {
        return glossieness;
    }

    public Color getReflectionTint() {
        return reflectionTint;
    }

    public boolean refracts() {
        return this.refracts;
    }
}
